// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: tricera-benchmarks/apache-escape-absolute.i.v+cfa-reducer.c-1.smt2.gz_017.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "apache-escape-absolute.i.v+cfa-reducer.c-1.smt2.gz_017_range.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    int inv_main203_0;
    int inv_main203_1;
    int inv_main203_2;
    int inv_main203_3;
    int inv_main203_4;
    int inv_main203_5;
    int inv_main203_6;
    int inv_main203_7;
    int inv_main203_8;
    int inv_main203_9;
    int inv_main203_10;
    int inv_main203_11;
    int inv_main203_12;
    int inv_main203_13;
    int inv_main203_14;
    int inv_main203_15;
    int inv_main203_16;
    int inv_main203_17;
    int inv_main203_18;
    int inv_main203_19;
    int inv_main203_20;
    int inv_main68_0;
    int inv_main68_1;
    int inv_main68_2;
    int inv_main68_3;
    int inv_main68_4;
    int inv_main68_5;
    int inv_main68_6;
    int inv_main68_7;
    int inv_main68_8;
    int inv_main68_9;
    int inv_main68_10;
    int inv_main68_11;
    int inv_main68_12;
    int inv_main68_13;
    int inv_main68_14;
    int inv_main68_15;
    int inv_main7_0;
    int inv_main7_1;
    int inv_main7_2;
    int inv_main7_3;
    int inv_main7_4;
    int inv_main7_5;
    int inv_main7_6;
    int A_0;
    int B_0;
    int C_0;
    int D_0;
    int E_0;
    int F_0;
    int G_0;
    int A_15;
    int B_15;
    int C_15;
    int D_15;
    int E_15;
    int F_15;
    int G_15;
    int H_15;
    int I_15;
    int J_15;
    int K_15;
    int L_15;
    int M_15;
    int N_15;
    int O_15;
    int P_15;
    int Q_15;
    int R_15;
    int S_15;
    int T_15;
    int U_15;
    int V_15;
    int W_15;
    int X_15;
    int Y_15;
    int Z_15;
    int A1_15;
    int B1_15;
    int C1_15;
    int D1_15;
    int E1_15;
    int F1_15;
    int G1_15;
    int H1_15;
    int I1_15;
    int J1_15;
    int K1_15;
    int L1_15;
    int M1_15;
    int N1_15;
    int O1_15;
    int P1_15;
    int Q1_15;
    int R1_15;
    int S1_15;
    int T1_15;
    int U1_15;
    int V1_15;
    int W1_15;
    int X1_15;
    int Y1_15;
    int Z1_15;
    int A2_15;
    int B2_15;
    int C2_15;
    int D2_15;
    int A_16;
    int B_16;
    int C_16;
    int D_16;
    int E_16;
    int F_16;
    int G_16;
    int H_16;
    int I_16;
    int J_16;
    int K_16;
    int L_16;
    int M_16;
    int N_16;
    int O_16;
    int P_16;
    int Q_16;
    int R_16;
    int S_16;
    int T_16;
    int U_16;
    int V_16;
    int W_16;
    int X_16;
    int Y_16;
    int Z_16;
    int A1_16;
    int B1_16;
    int C1_16;
    int D1_16;
    int E1_16;
    int F1_16;
    int G1_16;
    int H1_16;
    int I1_16;
    int J1_16;
    int K1_16;
    int L1_16;
    int M1_16;
    int N1_16;
    int O1_16;
    int P1_16;
    int Q1_16;
    int R1_16;
    int S1_16;
    int T1_16;
    int U1_16;
    int V1_16;
    int W1_16;
    int X1_16;
    int Y1_16;
    int Z1_16;
    int A2_16;
    int B2_16;
    int C2_16;
    int D2_16;
    int E2_16;
    int v_57_16;
    int A_25;
    int B_25;
    int C_25;
    int D_25;
    int E_25;
    int F_25;
    int G_25;
    int H_25;
    int I_25;
    int J_25;
    int K_25;
    int L_25;
    int M_25;
    int N_25;
    int O_25;
    int P_25;
    int Q_25;
    int R_25;
    int S_25;
    int T_25;
    int U_25;
    int V_25;
    int W_25;
    int X_25;
    int Y_25;
    int Z_25;
    int A1_25;
    int B1_25;
    int C1_25;
    int D1_25;
    int E1_25;
    int F1_25;
    int G1_25;
    int H1_25;
    int I1_25;
    int J1_25;
    int K1_25;
    int L1_25;
    int M1_25;
    int N1_25;
    int O1_25;
    int P1_25;
    int Q1_25;
    int R1_25;
    int S1_25;
    int T1_25;
    int U1_25;
    int V1_25;
    int W1_25;
    int X1_25;
    int Y1_25;
    int Z1_25;
    int A2_25;
    int B2_25;
    int C2_25;
    int v_55_25;
    int A_26;
    int B_26;
    int C_26;
    int D_26;
    int E_26;
    int F_26;
    int G_26;
    int H_26;
    int I_26;
    int J_26;
    int K_26;
    int L_26;
    int M_26;
    int N_26;
    int O_26;
    int P_26;
    int Q_26;
    int R_26;
    int S_26;
    int T_26;
    int U_26;

    if (((inv_main203_0 <= -1000000000) || (inv_main203_0 >= 1000000000))
        || ((inv_main203_1 <= -1000000000) || (inv_main203_1 >= 1000000000))
        || ((inv_main203_2 <= -1000000000) || (inv_main203_2 >= 1000000000))
        || ((inv_main203_3 <= -1000000000) || (inv_main203_3 >= 1000000000))
        || ((inv_main203_4 <= -1000000000) || (inv_main203_4 >= 1000000000))
        || ((inv_main203_5 <= -1000000000) || (inv_main203_5 >= 1000000000))
        || ((inv_main203_6 <= -1000000000) || (inv_main203_6 >= 1000000000))
        || ((inv_main203_7 <= -1000000000) || (inv_main203_7 >= 1000000000))
        || ((inv_main203_8 <= -1000000000) || (inv_main203_8 >= 1000000000))
        || ((inv_main203_9 <= -1000000000) || (inv_main203_9 >= 1000000000))
        || ((inv_main203_10 <= -1000000000) || (inv_main203_10 >= 1000000000))
        || ((inv_main203_11 <= -1000000000) || (inv_main203_11 >= 1000000000))
        || ((inv_main203_12 <= -1000000000) || (inv_main203_12 >= 1000000000))
        || ((inv_main203_13 <= -1000000000) || (inv_main203_13 >= 1000000000))
        || ((inv_main203_14 <= -1000000000) || (inv_main203_14 >= 1000000000))
        || ((inv_main203_15 <= -1000000000) || (inv_main203_15 >= 1000000000))
        || ((inv_main203_16 <= -1000000000) || (inv_main203_16 >= 1000000000))
        || ((inv_main203_17 <= -1000000000) || (inv_main203_17 >= 1000000000))
        || ((inv_main203_18 <= -1000000000) || (inv_main203_18 >= 1000000000))
        || ((inv_main203_19 <= -1000000000) || (inv_main203_19 >= 1000000000))
        || ((inv_main203_20 <= -1000000000) || (inv_main203_20 >= 1000000000))
        || ((inv_main68_0 <= -1000000000) || (inv_main68_0 >= 1000000000))
        || ((inv_main68_1 <= -1000000000) || (inv_main68_1 >= 1000000000))
        || ((inv_main68_2 <= -1000000000) || (inv_main68_2 >= 1000000000))
        || ((inv_main68_3 <= -1000000000) || (inv_main68_3 >= 1000000000))
        || ((inv_main68_4 <= -1000000000) || (inv_main68_4 >= 1000000000))
        || ((inv_main68_5 <= -1000000000) || (inv_main68_5 >= 1000000000))
        || ((inv_main68_6 <= -1000000000) || (inv_main68_6 >= 1000000000))
        || ((inv_main68_7 <= -1000000000) || (inv_main68_7 >= 1000000000))
        || ((inv_main68_8 <= -1000000000) || (inv_main68_8 >= 1000000000))
        || ((inv_main68_9 <= -1000000000) || (inv_main68_9 >= 1000000000))
        || ((inv_main68_10 <= -1000000000) || (inv_main68_10 >= 1000000000))
        || ((inv_main68_11 <= -1000000000) || (inv_main68_11 >= 1000000000))
        || ((inv_main68_12 <= -1000000000) || (inv_main68_12 >= 1000000000))
        || ((inv_main68_13 <= -1000000000) || (inv_main68_13 >= 1000000000))
        || ((inv_main68_14 <= -1000000000) || (inv_main68_14 >= 1000000000))
        || ((inv_main68_15 <= -1000000000) || (inv_main68_15 >= 1000000000))
        || ((inv_main7_0 <= -1000000000) || (inv_main7_0 >= 1000000000))
        || ((inv_main7_1 <= -1000000000) || (inv_main7_1 >= 1000000000))
        || ((inv_main7_2 <= -1000000000) || (inv_main7_2 >= 1000000000))
        || ((inv_main7_3 <= -1000000000) || (inv_main7_3 >= 1000000000))
        || ((inv_main7_4 <= -1000000000) || (inv_main7_4 >= 1000000000))
        || ((inv_main7_5 <= -1000000000) || (inv_main7_5 >= 1000000000))
        || ((inv_main7_6 <= -1000000000) || (inv_main7_6 >= 1000000000))
        || ((A_0 <= -1000000000) || (A_0 >= 1000000000))
        || ((B_0 <= -1000000000) || (B_0 >= 1000000000))
        || ((C_0 <= -1000000000) || (C_0 >= 1000000000))
        || ((D_0 <= -1000000000) || (D_0 >= 1000000000))
        || ((E_0 <= -1000000000) || (E_0 >= 1000000000))
        || ((F_0 <= -1000000000) || (F_0 >= 1000000000))
        || ((G_0 <= -1000000000) || (G_0 >= 1000000000))
        || ((A_15 <= -1000000000) || (A_15 >= 1000000000))
        || ((B_15 <= -1000000000) || (B_15 >= 1000000000))
        || ((C_15 <= -1000000000) || (C_15 >= 1000000000))
        || ((D_15 <= -1000000000) || (D_15 >= 1000000000))
        || ((E_15 <= -1000000000) || (E_15 >= 1000000000))
        || ((F_15 <= -1000000000) || (F_15 >= 1000000000))
        || ((G_15 <= -1000000000) || (G_15 >= 1000000000))
        || ((H_15 <= -1000000000) || (H_15 >= 1000000000))
        || ((I_15 <= -1000000000) || (I_15 >= 1000000000))
        || ((J_15 <= -1000000000) || (J_15 >= 1000000000))
        || ((K_15 <= -1000000000) || (K_15 >= 1000000000))
        || ((L_15 <= -1000000000) || (L_15 >= 1000000000))
        || ((M_15 <= -1000000000) || (M_15 >= 1000000000))
        || ((N_15 <= -1000000000) || (N_15 >= 1000000000))
        || ((O_15 <= -1000000000) || (O_15 >= 1000000000))
        || ((P_15 <= -1000000000) || (P_15 >= 1000000000))
        || ((Q_15 <= -1000000000) || (Q_15 >= 1000000000))
        || ((R_15 <= -1000000000) || (R_15 >= 1000000000))
        || ((S_15 <= -1000000000) || (S_15 >= 1000000000))
        || ((T_15 <= -1000000000) || (T_15 >= 1000000000))
        || ((U_15 <= -1000000000) || (U_15 >= 1000000000))
        || ((V_15 <= -1000000000) || (V_15 >= 1000000000))
        || ((W_15 <= -1000000000) || (W_15 >= 1000000000))
        || ((X_15 <= -1000000000) || (X_15 >= 1000000000))
        || ((Y_15 <= -1000000000) || (Y_15 >= 1000000000))
        || ((Z_15 <= -1000000000) || (Z_15 >= 1000000000))
        || ((A1_15 <= -1000000000) || (A1_15 >= 1000000000))
        || ((B1_15 <= -1000000000) || (B1_15 >= 1000000000))
        || ((C1_15 <= -1000000000) || (C1_15 >= 1000000000))
        || ((D1_15 <= -1000000000) || (D1_15 >= 1000000000))
        || ((E1_15 <= -1000000000) || (E1_15 >= 1000000000))
        || ((F1_15 <= -1000000000) || (F1_15 >= 1000000000))
        || ((G1_15 <= -1000000000) || (G1_15 >= 1000000000))
        || ((H1_15 <= -1000000000) || (H1_15 >= 1000000000))
        || ((I1_15 <= -1000000000) || (I1_15 >= 1000000000))
        || ((J1_15 <= -1000000000) || (J1_15 >= 1000000000))
        || ((K1_15 <= -1000000000) || (K1_15 >= 1000000000))
        || ((L1_15 <= -1000000000) || (L1_15 >= 1000000000))
        || ((M1_15 <= -1000000000) || (M1_15 >= 1000000000))
        || ((N1_15 <= -1000000000) || (N1_15 >= 1000000000))
        || ((O1_15 <= -1000000000) || (O1_15 >= 1000000000))
        || ((P1_15 <= -1000000000) || (P1_15 >= 1000000000))
        || ((Q1_15 <= -1000000000) || (Q1_15 >= 1000000000))
        || ((R1_15 <= -1000000000) || (R1_15 >= 1000000000))
        || ((S1_15 <= -1000000000) || (S1_15 >= 1000000000))
        || ((T1_15 <= -1000000000) || (T1_15 >= 1000000000))
        || ((U1_15 <= -1000000000) || (U1_15 >= 1000000000))
        || ((V1_15 <= -1000000000) || (V1_15 >= 1000000000))
        || ((W1_15 <= -1000000000) || (W1_15 >= 1000000000))
        || ((X1_15 <= -1000000000) || (X1_15 >= 1000000000))
        || ((Y1_15 <= -1000000000) || (Y1_15 >= 1000000000))
        || ((Z1_15 <= -1000000000) || (Z1_15 >= 1000000000))
        || ((A2_15 <= -1000000000) || (A2_15 >= 1000000000))
        || ((B2_15 <= -1000000000) || (B2_15 >= 1000000000))
        || ((C2_15 <= -1000000000) || (C2_15 >= 1000000000))
        || ((D2_15 <= -1000000000) || (D2_15 >= 1000000000))
        || ((A_16 <= -1000000000) || (A_16 >= 1000000000))
        || ((B_16 <= -1000000000) || (B_16 >= 1000000000))
        || ((C_16 <= -1000000000) || (C_16 >= 1000000000))
        || ((D_16 <= -1000000000) || (D_16 >= 1000000000))
        || ((E_16 <= -1000000000) || (E_16 >= 1000000000))
        || ((F_16 <= -1000000000) || (F_16 >= 1000000000))
        || ((G_16 <= -1000000000) || (G_16 >= 1000000000))
        || ((H_16 <= -1000000000) || (H_16 >= 1000000000))
        || ((I_16 <= -1000000000) || (I_16 >= 1000000000))
        || ((J_16 <= -1000000000) || (J_16 >= 1000000000))
        || ((K_16 <= -1000000000) || (K_16 >= 1000000000))
        || ((L_16 <= -1000000000) || (L_16 >= 1000000000))
        || ((M_16 <= -1000000000) || (M_16 >= 1000000000))
        || ((N_16 <= -1000000000) || (N_16 >= 1000000000))
        || ((O_16 <= -1000000000) || (O_16 >= 1000000000))
        || ((P_16 <= -1000000000) || (P_16 >= 1000000000))
        || ((Q_16 <= -1000000000) || (Q_16 >= 1000000000))
        || ((R_16 <= -1000000000) || (R_16 >= 1000000000))
        || ((S_16 <= -1000000000) || (S_16 >= 1000000000))
        || ((T_16 <= -1000000000) || (T_16 >= 1000000000))
        || ((U_16 <= -1000000000) || (U_16 >= 1000000000))
        || ((V_16 <= -1000000000) || (V_16 >= 1000000000))
        || ((W_16 <= -1000000000) || (W_16 >= 1000000000))
        || ((X_16 <= -1000000000) || (X_16 >= 1000000000))
        || ((Y_16 <= -1000000000) || (Y_16 >= 1000000000))
        || ((Z_16 <= -1000000000) || (Z_16 >= 1000000000))
        || ((A1_16 <= -1000000000) || (A1_16 >= 1000000000))
        || ((B1_16 <= -1000000000) || (B1_16 >= 1000000000))
        || ((C1_16 <= -1000000000) || (C1_16 >= 1000000000))
        || ((D1_16 <= -1000000000) || (D1_16 >= 1000000000))
        || ((E1_16 <= -1000000000) || (E1_16 >= 1000000000))
        || ((F1_16 <= -1000000000) || (F1_16 >= 1000000000))
        || ((G1_16 <= -1000000000) || (G1_16 >= 1000000000))
        || ((H1_16 <= -1000000000) || (H1_16 >= 1000000000))
        || ((I1_16 <= -1000000000) || (I1_16 >= 1000000000))
        || ((J1_16 <= -1000000000) || (J1_16 >= 1000000000))
        || ((K1_16 <= -1000000000) || (K1_16 >= 1000000000))
        || ((L1_16 <= -1000000000) || (L1_16 >= 1000000000))
        || ((M1_16 <= -1000000000) || (M1_16 >= 1000000000))
        || ((N1_16 <= -1000000000) || (N1_16 >= 1000000000))
        || ((O1_16 <= -1000000000) || (O1_16 >= 1000000000))
        || ((P1_16 <= -1000000000) || (P1_16 >= 1000000000))
        || ((Q1_16 <= -1000000000) || (Q1_16 >= 1000000000))
        || ((R1_16 <= -1000000000) || (R1_16 >= 1000000000))
        || ((S1_16 <= -1000000000) || (S1_16 >= 1000000000))
        || ((T1_16 <= -1000000000) || (T1_16 >= 1000000000))
        || ((U1_16 <= -1000000000) || (U1_16 >= 1000000000))
        || ((V1_16 <= -1000000000) || (V1_16 >= 1000000000))
        || ((W1_16 <= -1000000000) || (W1_16 >= 1000000000))
        || ((X1_16 <= -1000000000) || (X1_16 >= 1000000000))
        || ((Y1_16 <= -1000000000) || (Y1_16 >= 1000000000))
        || ((Z1_16 <= -1000000000) || (Z1_16 >= 1000000000))
        || ((A2_16 <= -1000000000) || (A2_16 >= 1000000000))
        || ((B2_16 <= -1000000000) || (B2_16 >= 1000000000))
        || ((C2_16 <= -1000000000) || (C2_16 >= 1000000000))
        || ((D2_16 <= -1000000000) || (D2_16 >= 1000000000))
        || ((E2_16 <= -1000000000) || (E2_16 >= 1000000000))
        || ((v_57_16 <= -1000000000) || (v_57_16 >= 1000000000))
        || ((A_25 <= -1000000000) || (A_25 >= 1000000000))
        || ((B_25 <= -1000000000) || (B_25 >= 1000000000))
        || ((C_25 <= -1000000000) || (C_25 >= 1000000000))
        || ((D_25 <= -1000000000) || (D_25 >= 1000000000))
        || ((E_25 <= -1000000000) || (E_25 >= 1000000000))
        || ((F_25 <= -1000000000) || (F_25 >= 1000000000))
        || ((G_25 <= -1000000000) || (G_25 >= 1000000000))
        || ((H_25 <= -1000000000) || (H_25 >= 1000000000))
        || ((I_25 <= -1000000000) || (I_25 >= 1000000000))
        || ((J_25 <= -1000000000) || (J_25 >= 1000000000))
        || ((K_25 <= -1000000000) || (K_25 >= 1000000000))
        || ((L_25 <= -1000000000) || (L_25 >= 1000000000))
        || ((M_25 <= -1000000000) || (M_25 >= 1000000000))
        || ((N_25 <= -1000000000) || (N_25 >= 1000000000))
        || ((O_25 <= -1000000000) || (O_25 >= 1000000000))
        || ((P_25 <= -1000000000) || (P_25 >= 1000000000))
        || ((Q_25 <= -1000000000) || (Q_25 >= 1000000000))
        || ((R_25 <= -1000000000) || (R_25 >= 1000000000))
        || ((S_25 <= -1000000000) || (S_25 >= 1000000000))
        || ((T_25 <= -1000000000) || (T_25 >= 1000000000))
        || ((U_25 <= -1000000000) || (U_25 >= 1000000000))
        || ((V_25 <= -1000000000) || (V_25 >= 1000000000))
        || ((W_25 <= -1000000000) || (W_25 >= 1000000000))
        || ((X_25 <= -1000000000) || (X_25 >= 1000000000))
        || ((Y_25 <= -1000000000) || (Y_25 >= 1000000000))
        || ((Z_25 <= -1000000000) || (Z_25 >= 1000000000))
        || ((A1_25 <= -1000000000) || (A1_25 >= 1000000000))
        || ((B1_25 <= -1000000000) || (B1_25 >= 1000000000))
        || ((C1_25 <= -1000000000) || (C1_25 >= 1000000000))
        || ((D1_25 <= -1000000000) || (D1_25 >= 1000000000))
        || ((E1_25 <= -1000000000) || (E1_25 >= 1000000000))
        || ((F1_25 <= -1000000000) || (F1_25 >= 1000000000))
        || ((G1_25 <= -1000000000) || (G1_25 >= 1000000000))
        || ((H1_25 <= -1000000000) || (H1_25 >= 1000000000))
        || ((I1_25 <= -1000000000) || (I1_25 >= 1000000000))
        || ((J1_25 <= -1000000000) || (J1_25 >= 1000000000))
        || ((K1_25 <= -1000000000) || (K1_25 >= 1000000000))
        || ((L1_25 <= -1000000000) || (L1_25 >= 1000000000))
        || ((M1_25 <= -1000000000) || (M1_25 >= 1000000000))
        || ((N1_25 <= -1000000000) || (N1_25 >= 1000000000))
        || ((O1_25 <= -1000000000) || (O1_25 >= 1000000000))
        || ((P1_25 <= -1000000000) || (P1_25 >= 1000000000))
        || ((Q1_25 <= -1000000000) || (Q1_25 >= 1000000000))
        || ((R1_25 <= -1000000000) || (R1_25 >= 1000000000))
        || ((S1_25 <= -1000000000) || (S1_25 >= 1000000000))
        || ((T1_25 <= -1000000000) || (T1_25 >= 1000000000))
        || ((U1_25 <= -1000000000) || (U1_25 >= 1000000000))
        || ((V1_25 <= -1000000000) || (V1_25 >= 1000000000))
        || ((W1_25 <= -1000000000) || (W1_25 >= 1000000000))
        || ((X1_25 <= -1000000000) || (X1_25 >= 1000000000))
        || ((Y1_25 <= -1000000000) || (Y1_25 >= 1000000000))
        || ((Z1_25 <= -1000000000) || (Z1_25 >= 1000000000))
        || ((A2_25 <= -1000000000) || (A2_25 >= 1000000000))
        || ((B2_25 <= -1000000000) || (B2_25 >= 1000000000))
        || ((C2_25 <= -1000000000) || (C2_25 >= 1000000000))
        || ((v_55_25 <= -1000000000) || (v_55_25 >= 1000000000))
        || ((A_26 <= -1000000000) || (A_26 >= 1000000000))
        || ((B_26 <= -1000000000) || (B_26 >= 1000000000))
        || ((C_26 <= -1000000000) || (C_26 >= 1000000000))
        || ((D_26 <= -1000000000) || (D_26 >= 1000000000))
        || ((E_26 <= -1000000000) || (E_26 >= 1000000000))
        || ((F_26 <= -1000000000) || (F_26 >= 1000000000))
        || ((G_26 <= -1000000000) || (G_26 >= 1000000000))
        || ((H_26 <= -1000000000) || (H_26 >= 1000000000))
        || ((I_26 <= -1000000000) || (I_26 >= 1000000000))
        || ((J_26 <= -1000000000) || (J_26 >= 1000000000))
        || ((K_26 <= -1000000000) || (K_26 >= 1000000000))
        || ((L_26 <= -1000000000) || (L_26 >= 1000000000))
        || ((M_26 <= -1000000000) || (M_26 >= 1000000000))
        || ((N_26 <= -1000000000) || (N_26 >= 1000000000))
        || ((O_26 <= -1000000000) || (O_26 >= 1000000000))
        || ((P_26 <= -1000000000) || (P_26 >= 1000000000))
        || ((Q_26 <= -1000000000) || (Q_26 >= 1000000000))
        || ((R_26 <= -1000000000) || (R_26 >= 1000000000))
        || ((S_26 <= -1000000000) || (S_26 >= 1000000000))
        || ((T_26 <= -1000000000) || (T_26 >= 1000000000))
        || ((U_26 <= -1000000000) || (U_26 >= 1000000000)))
        abort ();

    // main logic
    goto main_init;

  main_init:
    if (!((A_0 == 0) && (E_0 == 0)))
        abort ();
    inv_main7_0 = E_0;
    inv_main7_1 = A_0;
    inv_main7_2 = G_0;
    inv_main7_3 = F_0;
    inv_main7_4 = B_0;
    inv_main7_5 = D_0;
    inv_main7_6 = C_0;
    Q1_16 = __VERIFIER_nondet_int ();
    if (((Q1_16 <= -1000000000) || (Q1_16 >= 1000000000)))
        abort ();
    M1_16 = __VERIFIER_nondet_int ();
    if (((M1_16 <= -1000000000) || (M1_16 >= 1000000000)))
        abort ();
    I1_16 = __VERIFIER_nondet_int ();
    if (((I1_16 <= -1000000000) || (I1_16 >= 1000000000)))
        abort ();
    E1_16 = __VERIFIER_nondet_int ();
    if (((E1_16 <= -1000000000) || (E1_16 >= 1000000000)))
        abort ();
    E2_16 = __VERIFIER_nondet_int ();
    if (((E2_16 <= -1000000000) || (E2_16 >= 1000000000)))
        abort ();
    A1_16 = __VERIFIER_nondet_int ();
    if (((A1_16 <= -1000000000) || (A1_16 >= 1000000000)))
        abort ();
    A2_16 = __VERIFIER_nondet_int ();
    if (((A2_16 <= -1000000000) || (A2_16 >= 1000000000)))
        abort ();
    Z1_16 = __VERIFIER_nondet_int ();
    if (((Z1_16 <= -1000000000) || (Z1_16 >= 1000000000)))
        abort ();
    R1_16 = __VERIFIER_nondet_int ();
    if (((R1_16 <= -1000000000) || (R1_16 >= 1000000000)))
        abort ();
    N1_16 = __VERIFIER_nondet_int ();
    if (((N1_16 <= -1000000000) || (N1_16 >= 1000000000)))
        abort ();
    W1_16 = __VERIFIER_nondet_int ();
    if (((W1_16 <= -1000000000) || (W1_16 >= 1000000000)))
        abort ();
    v_57_16 = __VERIFIER_nondet_int ();
    if (((v_57_16 <= -1000000000) || (v_57_16 >= 1000000000)))
        abort ();
    S1_16 = __VERIFIER_nondet_int ();
    if (((S1_16 <= -1000000000) || (S1_16 >= 1000000000)))
        abort ();
    A_16 = __VERIFIER_nondet_int ();
    if (((A_16 <= -1000000000) || (A_16 >= 1000000000)))
        abort ();
    B_16 = __VERIFIER_nondet_int ();
    if (((B_16 <= -1000000000) || (B_16 >= 1000000000)))
        abort ();
    O1_16 = __VERIFIER_nondet_int ();
    if (((O1_16 <= -1000000000) || (O1_16 >= 1000000000)))
        abort ();
    C_16 = __VERIFIER_nondet_int ();
    if (((C_16 <= -1000000000) || (C_16 >= 1000000000)))
        abort ();
    D_16 = __VERIFIER_nondet_int ();
    if (((D_16 <= -1000000000) || (D_16 >= 1000000000)))
        abort ();
    F_16 = __VERIFIER_nondet_int ();
    if (((F_16 <= -1000000000) || (F_16 >= 1000000000)))
        abort ();
    K1_16 = __VERIFIER_nondet_int ();
    if (((K1_16 <= -1000000000) || (K1_16 >= 1000000000)))
        abort ();
    G_16 = __VERIFIER_nondet_int ();
    if (((G_16 <= -1000000000) || (G_16 >= 1000000000)))
        abort ();
    H_16 = __VERIFIER_nondet_int ();
    if (((H_16 <= -1000000000) || (H_16 >= 1000000000)))
        abort ();
    I_16 = __VERIFIER_nondet_int ();
    if (((I_16 <= -1000000000) || (I_16 >= 1000000000)))
        abort ();
    J_16 = __VERIFIER_nondet_int ();
    if (((J_16 <= -1000000000) || (J_16 >= 1000000000)))
        abort ();
    G1_16 = __VERIFIER_nondet_int ();
    if (((G1_16 <= -1000000000) || (G1_16 >= 1000000000)))
        abort ();
    K_16 = __VERIFIER_nondet_int ();
    if (((K_16 <= -1000000000) || (K_16 >= 1000000000)))
        abort ();
    L_16 = __VERIFIER_nondet_int ();
    if (((L_16 <= -1000000000) || (L_16 >= 1000000000)))
        abort ();
    M_16 = __VERIFIER_nondet_int ();
    if (((M_16 <= -1000000000) || (M_16 >= 1000000000)))
        abort ();
    N_16 = __VERIFIER_nondet_int ();
    if (((N_16 <= -1000000000) || (N_16 >= 1000000000)))
        abort ();
    C1_16 = __VERIFIER_nondet_int ();
    if (((C1_16 <= -1000000000) || (C1_16 >= 1000000000)))
        abort ();
    O_16 = __VERIFIER_nondet_int ();
    if (((O_16 <= -1000000000) || (O_16 >= 1000000000)))
        abort ();
    C2_16 = __VERIFIER_nondet_int ();
    if (((C2_16 <= -1000000000) || (C2_16 >= 1000000000)))
        abort ();
    P_16 = __VERIFIER_nondet_int ();
    if (((P_16 <= -1000000000) || (P_16 >= 1000000000)))
        abort ();
    Q_16 = __VERIFIER_nondet_int ();
    if (((Q_16 <= -1000000000) || (Q_16 >= 1000000000)))
        abort ();
    R_16 = __VERIFIER_nondet_int ();
    if (((R_16 <= -1000000000) || (R_16 >= 1000000000)))
        abort ();
    S_16 = __VERIFIER_nondet_int ();
    if (((S_16 <= -1000000000) || (S_16 >= 1000000000)))
        abort ();
    T_16 = __VERIFIER_nondet_int ();
    if (((T_16 <= -1000000000) || (T_16 >= 1000000000)))
        abort ();
    U_16 = __VERIFIER_nondet_int ();
    if (((U_16 <= -1000000000) || (U_16 >= 1000000000)))
        abort ();
    V_16 = __VERIFIER_nondet_int ();
    if (((V_16 <= -1000000000) || (V_16 >= 1000000000)))
        abort ();
    W_16 = __VERIFIER_nondet_int ();
    if (((W_16 <= -1000000000) || (W_16 >= 1000000000)))
        abort ();
    X_16 = __VERIFIER_nondet_int ();
    if (((X_16 <= -1000000000) || (X_16 >= 1000000000)))
        abort ();
    Y_16 = __VERIFIER_nondet_int ();
    if (((Y_16 <= -1000000000) || (Y_16 >= 1000000000)))
        abort ();
    Z_16 = __VERIFIER_nondet_int ();
    if (((Z_16 <= -1000000000) || (Z_16 >= 1000000000)))
        abort ();
    T1_16 = __VERIFIER_nondet_int ();
    if (((T1_16 <= -1000000000) || (T1_16 >= 1000000000)))
        abort ();
    P1_16 = __VERIFIER_nondet_int ();
    if (((P1_16 <= -1000000000) || (P1_16 >= 1000000000)))
        abort ();
    L1_16 = __VERIFIER_nondet_int ();
    if (((L1_16 <= -1000000000) || (L1_16 >= 1000000000)))
        abort ();
    H1_16 = __VERIFIER_nondet_int ();
    if (((H1_16 <= -1000000000) || (H1_16 >= 1000000000)))
        abort ();
    D1_16 = __VERIFIER_nondet_int ();
    if (((D1_16 <= -1000000000) || (D1_16 >= 1000000000)))
        abort ();
    D2_16 = __VERIFIER_nondet_int ();
    if (((D2_16 <= -1000000000) || (D2_16 >= 1000000000)))
        abort ();
    Y1_16 = __VERIFIER_nondet_int ();
    if (((Y1_16 <= -1000000000) || (Y1_16 >= 1000000000)))
        abort ();
    U1_16 = __VERIFIER_nondet_int ();
    if (((U1_16 <= -1000000000) || (U1_16 >= 1000000000)))
        abort ();
    E_16 = inv_main7_0;
    V1_16 = inv_main7_1;
    B1_16 = inv_main7_2;
    B2_16 = inv_main7_3;
    F1_16 = inv_main7_4;
    X1_16 = inv_main7_5;
    J1_16 = inv_main7_6;
    if (!
        ((U1_16 == H1_16) && (T1_16 == T_16) && (S1_16 == A_16)
         && (R1_16 == A2_16) && (Q1_16 == M1_16) && (P1_16 == E2_16)
         && (!(N1_16 == 0)) && (!(M1_16 == 0)) && (L1_16 == Z_16)
         && (K1_16 == J1_16) && (I1_16 == W_16) && (H1_16 == A2_16)
         && (G1_16 == L1_16) && (E1_16 == D_16) && (D1_16 == E_16)
         && (C1_16 == A1_16) && (A1_16 == P1_16) && (!(Z_16 == 0))
         && (Y_16 == F_16) && (W_16 == V1_16) && (V_16 == R1_16)
         && (U_16 == V_16) && (T_16 == S_16) && (S_16 == D1_16)
         && (R_16 == L_16) && (Q_16 == O1_16) && (P_16 == Q1_16)
         && (O_16 == U_16) && (N_16 == K_16) && (M_16 == R_16)
         && (L_16 == Q_16) && (K_16 == M1_16) && (J_16 == Z1_16)
         && (I_16 == N1_16) && (H_16 == N1_16) && (!(G_16 == 0))
         && (F_16 == I1_16) && (D_16 == C2_16) && (C_16 == D2_16)
         && (!(B_16 == 0)) && (A_16 == K1_16) && (E2_16 == X_16)
         && (D2_16 == Y1_16) && (C2_16 == B_16) && (!(A2_16 == 0))
         && (Z1_16 == U1_16) && (Y1_16 == B_16) && (-1000000 <= O1_16)
         && (-1000000 <= X_16) && (-1000000 <= A2_16) && (1 <= O1_16)
         && (1 <= X_16) && (!(0 <= (A2_16 + (-1 * O1_16)))) && (0 <= A2_16)
         && (O1_16 <= 1000000) && (X_16 <= 1000000) && (A2_16 <= 1000000)
         && (((!(1 <= (L_16 + (-1 * U1_16)))) && (N1_16 == 0))
             || ((1 <= (L_16 + (-1 * U1_16))) && (N1_16 == 1)))
         && (((!(1 <= H1_16)) && (M1_16 == 0))
             || ((1 <= H1_16) && (M1_16 == 1)))
         && (((!(0 <= (O1_16 + (-1 * A2_16)))) && (B_16 == 0))
             || ((0 <= (O1_16 + (-1 * A2_16))) && (B_16 == 1)))
         && (((0 <= Z1_16) && (G_16 == 1))
             || ((!(0 <= Z1_16)) && (G_16 == 0))) && (W1_16 == S1_16)
         && (v_57_16 == G_16)))
        abort ();
    inv_main68_0 = T1_16;
    inv_main68_1 = Y_16;
    inv_main68_2 = O_16;
    inv_main68_3 = M_16;
    inv_main68_4 = C1_16;
    inv_main68_5 = J_16;
    inv_main68_6 = W1_16;
    inv_main68_7 = E1_16;
    inv_main68_8 = C_16;
    inv_main68_9 = N_16;
    inv_main68_10 = P_16;
    inv_main68_11 = G1_16;
    inv_main68_12 = I_16;
    inv_main68_13 = H_16;
    inv_main68_14 = G_16;
    inv_main68_15 = v_57_16;
    Q1_15 = __VERIFIER_nondet_int ();
    if (((Q1_15 <= -1000000000) || (Q1_15 >= 1000000000)))
        abort ();
    M1_15 = __VERIFIER_nondet_int ();
    if (((M1_15 <= -1000000000) || (M1_15 >= 1000000000)))
        abort ();
    I1_15 = __VERIFIER_nondet_int ();
    if (((I1_15 <= -1000000000) || (I1_15 >= 1000000000)))
        abort ();
    E1_15 = __VERIFIER_nondet_int ();
    if (((E1_15 <= -1000000000) || (E1_15 >= 1000000000)))
        abort ();
    A1_15 = __VERIFIER_nondet_int ();
    if (((A1_15 <= -1000000000) || (A1_15 >= 1000000000)))
        abort ();
    Z1_15 = __VERIFIER_nondet_int ();
    if (((Z1_15 <= -1000000000) || (Z1_15 >= 1000000000)))
        abort ();
    V1_15 = __VERIFIER_nondet_int ();
    if (((V1_15 <= -1000000000) || (V1_15 >= 1000000000)))
        abort ();
    R1_15 = __VERIFIER_nondet_int ();
    if (((R1_15 <= -1000000000) || (R1_15 >= 1000000000)))
        abort ();
    N1_15 = __VERIFIER_nondet_int ();
    if (((N1_15 <= -1000000000) || (N1_15 >= 1000000000)))
        abort ();
    J1_15 = __VERIFIER_nondet_int ();
    if (((J1_15 <= -1000000000) || (J1_15 >= 1000000000)))
        abort ();
    F1_15 = __VERIFIER_nondet_int ();
    if (((F1_15 <= -1000000000) || (F1_15 >= 1000000000)))
        abort ();
    W1_15 = __VERIFIER_nondet_int ();
    if (((W1_15 <= -1000000000) || (W1_15 >= 1000000000)))
        abort ();
    S1_15 = __VERIFIER_nondet_int ();
    if (((S1_15 <= -1000000000) || (S1_15 >= 1000000000)))
        abort ();
    A_15 = __VERIFIER_nondet_int ();
    if (((A_15 <= -1000000000) || (A_15 >= 1000000000)))
        abort ();
    B_15 = __VERIFIER_nondet_int ();
    if (((B_15 <= -1000000000) || (B_15 >= 1000000000)))
        abort ();
    C_15 = __VERIFIER_nondet_int ();
    if (((C_15 <= -1000000000) || (C_15 >= 1000000000)))
        abort ();
    D_15 = __VERIFIER_nondet_int ();
    if (((D_15 <= -1000000000) || (D_15 >= 1000000000)))
        abort ();
    E_15 = __VERIFIER_nondet_int ();
    if (((E_15 <= -1000000000) || (E_15 >= 1000000000)))
        abort ();
    F_15 = __VERIFIER_nondet_int ();
    if (((F_15 <= -1000000000) || (F_15 >= 1000000000)))
        abort ();
    G_15 = __VERIFIER_nondet_int ();
    if (((G_15 <= -1000000000) || (G_15 >= 1000000000)))
        abort ();
    H_15 = __VERIFIER_nondet_int ();
    if (((H_15 <= -1000000000) || (H_15 >= 1000000000)))
        abort ();
    I_15 = __VERIFIER_nondet_int ();
    if (((I_15 <= -1000000000) || (I_15 >= 1000000000)))
        abort ();
    K_15 = __VERIFIER_nondet_int ();
    if (((K_15 <= -1000000000) || (K_15 >= 1000000000)))
        abort ();
    L_15 = __VERIFIER_nondet_int ();
    if (((L_15 <= -1000000000) || (L_15 >= 1000000000)))
        abort ();
    O_15 = __VERIFIER_nondet_int ();
    if (((O_15 <= -1000000000) || (O_15 >= 1000000000)))
        abort ();
    C2_15 = __VERIFIER_nondet_int ();
    if (((C2_15 <= -1000000000) || (C2_15 >= 1000000000)))
        abort ();
    Q_15 = __VERIFIER_nondet_int ();
    if (((Q_15 <= -1000000000) || (Q_15 >= 1000000000)))
        abort ();
    R_15 = __VERIFIER_nondet_int ();
    if (((R_15 <= -1000000000) || (R_15 >= 1000000000)))
        abort ();
    S_15 = __VERIFIER_nondet_int ();
    if (((S_15 <= -1000000000) || (S_15 >= 1000000000)))
        abort ();
    T_15 = __VERIFIER_nondet_int ();
    if (((T_15 <= -1000000000) || (T_15 >= 1000000000)))
        abort ();
    U_15 = __VERIFIER_nondet_int ();
    if (((U_15 <= -1000000000) || (U_15 >= 1000000000)))
        abort ();
    V_15 = __VERIFIER_nondet_int ();
    if (((V_15 <= -1000000000) || (V_15 >= 1000000000)))
        abort ();
    W_15 = __VERIFIER_nondet_int ();
    if (((W_15 <= -1000000000) || (W_15 >= 1000000000)))
        abort ();
    X_15 = __VERIFIER_nondet_int ();
    if (((X_15 <= -1000000000) || (X_15 >= 1000000000)))
        abort ();
    X1_15 = __VERIFIER_nondet_int ();
    if (((X1_15 <= -1000000000) || (X1_15 >= 1000000000)))
        abort ();
    Z_15 = __VERIFIER_nondet_int ();
    if (((Z_15 <= -1000000000) || (Z_15 >= 1000000000)))
        abort ();
    T1_15 = __VERIFIER_nondet_int ();
    if (((T1_15 <= -1000000000) || (T1_15 >= 1000000000)))
        abort ();
    P1_15 = __VERIFIER_nondet_int ();
    if (((P1_15 <= -1000000000) || (P1_15 >= 1000000000)))
        abort ();
    H1_15 = __VERIFIER_nondet_int ();
    if (((H1_15 <= -1000000000) || (H1_15 >= 1000000000)))
        abort ();
    D2_15 = __VERIFIER_nondet_int ();
    if (((D2_15 <= -1000000000) || (D2_15 >= 1000000000)))
        abort ();
    O1_15 = inv_main68_0;
    U1_15 = inv_main68_1;
    N_15 = inv_main68_2;
    A2_15 = inv_main68_3;
    B2_15 = inv_main68_4;
    D1_15 = inv_main68_5;
    C1_15 = inv_main68_6;
    M_15 = inv_main68_7;
    L1_15 = inv_main68_8;
    J_15 = inv_main68_9;
    G1_15 = inv_main68_10;
    Y_15 = inv_main68_11;
    B1_15 = inv_main68_12;
    K1_15 = inv_main68_13;
    P_15 = inv_main68_14;
    Y1_15 = inv_main68_15;
    if (!
        ((V1_15 == D1_15) && (T1_15 == X1_15) && (S1_15 == I1_15)
         && (R1_15 == E1_15) && (Q1_15 == A2_15) && (P1_15 == V1_15)
         && (N1_15 == H1_15) && (!(M1_15 == 0)) && (J1_15 == B_15)
         && (I1_15 == Y1_15) && (H1_15 == U1_15) && (F1_15 == I_15)
         && (E1_15 == 0) && (!(D1_15 == (A2_15 + -1))) && (A1_15 == M1_15)
         && (Z_15 == Y_15) && (X_15 == J_15) && (W_15 == W1_15)
         && (V_15 == (P1_15 + 1)) && (U_15 == B1_15) && (T_15 == Z_15)
         && (S_15 == U_15) && (R_15 == K_15) && (Q_15 == X_15)
         && (O_15 == R1_15) && (L_15 == Q1_15) && (K_15 == M_15)
         && (I_15 == O1_15) && (!(H_15 == 0)) && (G_15 == F_15)
         && (F_15 == L1_15) && (E_15 == K1_15) && (D_15 == B2_15)
         && (C_15 == D_15) && (B_15 == P_15) && (A_15 == M1_15)
         && (D2_15 == Z1_15) && (C2_15 == E_15) && (Z1_15 == C1_15)
         && (X1_15 == G1_15)
         && (((!(1 <= (A2_15 + (-1 * D1_15)))) && (M1_15 == 0))
             || ((1 <= (A2_15 + (-1 * D1_15))) && (M1_15 == 1)))
         && (((0 <= V1_15) && (H_15 == 1))
             || ((!(0 <= V1_15)) && (H_15 == 0))) && (W1_15 == N_15)))
        abort ();
    inv_main68_0 = F1_15;
    inv_main68_1 = N1_15;
    inv_main68_2 = W_15;
    inv_main68_3 = L_15;
    inv_main68_4 = C_15;
    inv_main68_5 = V_15;
    inv_main68_6 = D2_15;
    inv_main68_7 = R_15;
    inv_main68_8 = G_15;
    inv_main68_9 = Q_15;
    inv_main68_10 = T1_15;
    inv_main68_11 = T_15;
    inv_main68_12 = S_15;
    inv_main68_13 = C2_15;
    inv_main68_14 = J1_15;
    inv_main68_15 = S1_15;
    goto inv_main68_0;
  main_error:
    reach_error ();
  main_final:
    goto main_final;
  inv_main41:
    goto inv_main41;
  inv_main185:
    goto inv_main185;
  inv_main67:
    goto inv_main67;
  inv_main76:
    goto inv_main76;
  inv_main196:
    goto inv_main196;
  inv_main178:
    goto inv_main178;
  inv_main144:
    goto inv_main144;
  inv_main90:
    goto inv_main90;
  inv_main125:
    goto inv_main125;
  inv_main48:
    goto inv_main48;
  inv_main108:
    goto inv_main108;
  inv_main83:
    goto inv_main83;
  inv_main133:
    goto inv_main133;
  inv_main151:
    goto inv_main151;
  inv_main101:
    goto inv_main101;
  inv_main164:
    goto inv_main164;
  inv_main171:
    goto inv_main171;
  inv_main60:
    goto inv_main60;
  inv_main132:
    goto inv_main132;
  inv_main68_0:
    switch (__VERIFIER_nondet__Bool ())
      {
      case 0:
          Q1_25 = __VERIFIER_nondet_int ();
          if (((Q1_25 <= -1000000000) || (Q1_25 >= 1000000000)))
              abort ();
          M1_25 = __VERIFIER_nondet_int ();
          if (((M1_25 <= -1000000000) || (M1_25 >= 1000000000)))
              abort ();
          I1_25 = __VERIFIER_nondet_int ();
          if (((I1_25 <= -1000000000) || (I1_25 >= 1000000000)))
              abort ();
          A1_25 = __VERIFIER_nondet_int ();
          if (((A1_25 <= -1000000000) || (A1_25 >= 1000000000)))
              abort ();
          V1_25 = __VERIFIER_nondet_int ();
          if (((V1_25 <= -1000000000) || (V1_25 >= 1000000000)))
              abort ();
          N1_25 = __VERIFIER_nondet_int ();
          if (((N1_25 <= -1000000000) || (N1_25 >= 1000000000)))
              abort ();
          F1_25 = __VERIFIER_nondet_int ();
          if (((F1_25 <= -1000000000) || (F1_25 >= 1000000000)))
              abort ();
          B1_25 = __VERIFIER_nondet_int ();
          if (((B1_25 <= -1000000000) || (B1_25 >= 1000000000)))
              abort ();
          B2_25 = __VERIFIER_nondet_int ();
          if (((B2_25 <= -1000000000) || (B2_25 >= 1000000000)))
              abort ();
          v_55_25 = __VERIFIER_nondet_int ();
          if (((v_55_25 <= -1000000000) || (v_55_25 >= 1000000000)))
              abort ();
          A_25 = __VERIFIER_nondet_int ();
          if (((A_25 <= -1000000000) || (A_25 >= 1000000000)))
              abort ();
          B_25 = __VERIFIER_nondet_int ();
          if (((B_25 <= -1000000000) || (B_25 >= 1000000000)))
              abort ();
          O1_25 = __VERIFIER_nondet_int ();
          if (((O1_25 <= -1000000000) || (O1_25 >= 1000000000)))
              abort ();
          C_25 = __VERIFIER_nondet_int ();
          if (((C_25 <= -1000000000) || (C_25 >= 1000000000)))
              abort ();
          E_25 = __VERIFIER_nondet_int ();
          if (((E_25 <= -1000000000) || (E_25 >= 1000000000)))
              abort ();
          F_25 = __VERIFIER_nondet_int ();
          if (((F_25 <= -1000000000) || (F_25 >= 1000000000)))
              abort ();
          K1_25 = __VERIFIER_nondet_int ();
          if (((K1_25 <= -1000000000) || (K1_25 >= 1000000000)))
              abort ();
          G_25 = __VERIFIER_nondet_int ();
          if (((G_25 <= -1000000000) || (G_25 >= 1000000000)))
              abort ();
          J_25 = __VERIFIER_nondet_int ();
          if (((J_25 <= -1000000000) || (J_25 >= 1000000000)))
              abort ();
          G1_25 = __VERIFIER_nondet_int ();
          if (((G1_25 <= -1000000000) || (G1_25 >= 1000000000)))
              abort ();
          K_25 = __VERIFIER_nondet_int ();
          if (((K_25 <= -1000000000) || (K_25 >= 1000000000)))
              abort ();
          M_25 = __VERIFIER_nondet_int ();
          if (((M_25 <= -1000000000) || (M_25 >= 1000000000)))
              abort ();
          C1_25 = __VERIFIER_nondet_int ();
          if (((C1_25 <= -1000000000) || (C1_25 >= 1000000000)))
              abort ();
          C2_25 = __VERIFIER_nondet_int ();
          if (((C2_25 <= -1000000000) || (C2_25 >= 1000000000)))
              abort ();
          Q_25 = __VERIFIER_nondet_int ();
          if (((Q_25 <= -1000000000) || (Q_25 >= 1000000000)))
              abort ();
          R_25 = __VERIFIER_nondet_int ();
          if (((R_25 <= -1000000000) || (R_25 >= 1000000000)))
              abort ();
          S_25 = __VERIFIER_nondet_int ();
          if (((S_25 <= -1000000000) || (S_25 >= 1000000000)))
              abort ();
          T_25 = __VERIFIER_nondet_int ();
          if (((T_25 <= -1000000000) || (T_25 >= 1000000000)))
              abort ();
          U_25 = __VERIFIER_nondet_int ();
          if (((U_25 <= -1000000000) || (U_25 >= 1000000000)))
              abort ();
          V_25 = __VERIFIER_nondet_int ();
          if (((V_25 <= -1000000000) || (V_25 >= 1000000000)))
              abort ();
          X_25 = __VERIFIER_nondet_int ();
          if (((X_25 <= -1000000000) || (X_25 >= 1000000000)))
              abort ();
          X1_25 = __VERIFIER_nondet_int ();
          if (((X1_25 <= -1000000000) || (X1_25 >= 1000000000)))
              abort ();
          Z_25 = __VERIFIER_nondet_int ();
          if (((Z_25 <= -1000000000) || (Z_25 >= 1000000000)))
              abort ();
          T1_25 = __VERIFIER_nondet_int ();
          if (((T1_25 <= -1000000000) || (T1_25 >= 1000000000)))
              abort ();
          P1_25 = __VERIFIER_nondet_int ();
          if (((P1_25 <= -1000000000) || (P1_25 >= 1000000000)))
              abort ();
          L1_25 = __VERIFIER_nondet_int ();
          if (((L1_25 <= -1000000000) || (L1_25 >= 1000000000)))
              abort ();
          H1_25 = __VERIFIER_nondet_int ();
          if (((H1_25 <= -1000000000) || (H1_25 >= 1000000000)))
              abort ();
          D1_25 = __VERIFIER_nondet_int ();
          if (((D1_25 <= -1000000000) || (D1_25 >= 1000000000)))
              abort ();
          Y1_25 = __VERIFIER_nondet_int ();
          if (((Y1_25 <= -1000000000) || (Y1_25 >= 1000000000)))
              abort ();
          U1_25 = __VERIFIER_nondet_int ();
          if (((U1_25 <= -1000000000) || (U1_25 >= 1000000000)))
              abort ();
          E1_25 = inv_main68_0;
          J1_25 = inv_main68_1;
          D_25 = inv_main68_2;
          W1_25 = inv_main68_3;
          S1_25 = inv_main68_4;
          O_25 = inv_main68_5;
          W_25 = inv_main68_6;
          I_25 = inv_main68_7;
          N_25 = inv_main68_8;
          H_25 = inv_main68_9;
          L_25 = inv_main68_10;
          Y_25 = inv_main68_11;
          P_25 = inv_main68_12;
          A2_25 = inv_main68_13;
          Z1_25 = inv_main68_14;
          R1_25 = inv_main68_15;
          if (!
              ((U1_25 == F_25) && (T1_25 == 0) && (Q1_25 == W1_25)
               && (P1_25 == N1_25) && (O1_25 == G1_25) && (N1_25 == A2_25)
               && (M1_25 == I_25) && (L1_25 == D_25) && (K1_25 == M1_25)
               && (I1_25 == V_25) && (H1_25 == T1_25) && (!(G1_25 == 0))
               && (F1_25 == R1_25) && (D1_25 == O_25) && (C1_25 == G1_25)
               && (B1_25 == U_25) && (A1_25 == H1_25) && (Z_25 == P_25)
               && (X_25 == W_25) && (V_25 == N_25) && (U_25 == S1_25)
               && (T_25 == 0) && (S_25 == B_25) && (R_25 == B2_25)
               && (Q_25 == L_25) && (!(O_25 == (W1_25 + -1)))
               && (M_25 == C2_25) && (K_25 == Z_25) && (J_25 == Y1_25)
               && (G_25 == X_25) && (F_25 == H_25) && (E_25 == Q_25)
               && (C_25 == Q1_25) && (B_25 == Y_25) && (A_25 == F1_25)
               && (C2_25 == J1_25) && (B2_25 == Z1_25) && (Y1_25 == E1_25)
               && (X1_25 == D1_25)
               && (((1 <= (W1_25 + (-1 * O_25))) && (G1_25 == 1))
                   || ((!(1 <= (W1_25 + (-1 * O_25)))) && (G1_25 == 0)))
               && (((0 <= D1_25) && (T_25 == 1))
                   || ((!(0 <= D1_25)) && (T_25 == 0))) && (V1_25 == L1_25)
               && (v_55_25 == T_25)))
              abort ();
          inv_main203_0 = J_25;
          inv_main203_1 = M_25;
          inv_main203_2 = V1_25;
          inv_main203_3 = C_25;
          inv_main203_4 = B1_25;
          inv_main203_5 = X1_25;
          inv_main203_6 = G_25;
          inv_main203_7 = K1_25;
          inv_main203_8 = I1_25;
          inv_main203_9 = U1_25;
          inv_main203_10 = E_25;
          inv_main203_11 = S_25;
          inv_main203_12 = K_25;
          inv_main203_13 = P1_25;
          inv_main203_14 = R_25;
          inv_main203_15 = A_25;
          inv_main203_16 = A1_25;
          inv_main203_17 = O1_25;
          inv_main203_18 = C1_25;
          inv_main203_19 = T_25;
          inv_main203_20 = v_55_25;
          B_26 = inv_main203_0;
          P_26 = inv_main203_1;
          H_26 = inv_main203_2;
          I_26 = inv_main203_3;
          J_26 = inv_main203_4;
          E_26 = inv_main203_5;
          M_26 = inv_main203_6;
          N_26 = inv_main203_7;
          D_26 = inv_main203_8;
          U_26 = inv_main203_9;
          Q_26 = inv_main203_10;
          G_26 = inv_main203_11;
          C_26 = inv_main203_12;
          O_26 = inv_main203_13;
          R_26 = inv_main203_14;
          S_26 = inv_main203_15;
          L_26 = inv_main203_16;
          T_26 = inv_main203_17;
          F_26 = inv_main203_18;
          A_26 = inv_main203_19;
          K_26 = inv_main203_20;
          if (!1)
              abort ();
          goto main_error;

      case 1:
          Q1_15 = __VERIFIER_nondet_int ();
          if (((Q1_15 <= -1000000000) || (Q1_15 >= 1000000000)))
              abort ();
          M1_15 = __VERIFIER_nondet_int ();
          if (((M1_15 <= -1000000000) || (M1_15 >= 1000000000)))
              abort ();
          I1_15 = __VERIFIER_nondet_int ();
          if (((I1_15 <= -1000000000) || (I1_15 >= 1000000000)))
              abort ();
          E1_15 = __VERIFIER_nondet_int ();
          if (((E1_15 <= -1000000000) || (E1_15 >= 1000000000)))
              abort ();
          A1_15 = __VERIFIER_nondet_int ();
          if (((A1_15 <= -1000000000) || (A1_15 >= 1000000000)))
              abort ();
          Z1_15 = __VERIFIER_nondet_int ();
          if (((Z1_15 <= -1000000000) || (Z1_15 >= 1000000000)))
              abort ();
          V1_15 = __VERIFIER_nondet_int ();
          if (((V1_15 <= -1000000000) || (V1_15 >= 1000000000)))
              abort ();
          R1_15 = __VERIFIER_nondet_int ();
          if (((R1_15 <= -1000000000) || (R1_15 >= 1000000000)))
              abort ();
          N1_15 = __VERIFIER_nondet_int ();
          if (((N1_15 <= -1000000000) || (N1_15 >= 1000000000)))
              abort ();
          J1_15 = __VERIFIER_nondet_int ();
          if (((J1_15 <= -1000000000) || (J1_15 >= 1000000000)))
              abort ();
          F1_15 = __VERIFIER_nondet_int ();
          if (((F1_15 <= -1000000000) || (F1_15 >= 1000000000)))
              abort ();
          W1_15 = __VERIFIER_nondet_int ();
          if (((W1_15 <= -1000000000) || (W1_15 >= 1000000000)))
              abort ();
          S1_15 = __VERIFIER_nondet_int ();
          if (((S1_15 <= -1000000000) || (S1_15 >= 1000000000)))
              abort ();
          A_15 = __VERIFIER_nondet_int ();
          if (((A_15 <= -1000000000) || (A_15 >= 1000000000)))
              abort ();
          B_15 = __VERIFIER_nondet_int ();
          if (((B_15 <= -1000000000) || (B_15 >= 1000000000)))
              abort ();
          C_15 = __VERIFIER_nondet_int ();
          if (((C_15 <= -1000000000) || (C_15 >= 1000000000)))
              abort ();
          D_15 = __VERIFIER_nondet_int ();
          if (((D_15 <= -1000000000) || (D_15 >= 1000000000)))
              abort ();
          E_15 = __VERIFIER_nondet_int ();
          if (((E_15 <= -1000000000) || (E_15 >= 1000000000)))
              abort ();
          F_15 = __VERIFIER_nondet_int ();
          if (((F_15 <= -1000000000) || (F_15 >= 1000000000)))
              abort ();
          G_15 = __VERIFIER_nondet_int ();
          if (((G_15 <= -1000000000) || (G_15 >= 1000000000)))
              abort ();
          H_15 = __VERIFIER_nondet_int ();
          if (((H_15 <= -1000000000) || (H_15 >= 1000000000)))
              abort ();
          I_15 = __VERIFIER_nondet_int ();
          if (((I_15 <= -1000000000) || (I_15 >= 1000000000)))
              abort ();
          K_15 = __VERIFIER_nondet_int ();
          if (((K_15 <= -1000000000) || (K_15 >= 1000000000)))
              abort ();
          L_15 = __VERIFIER_nondet_int ();
          if (((L_15 <= -1000000000) || (L_15 >= 1000000000)))
              abort ();
          O_15 = __VERIFIER_nondet_int ();
          if (((O_15 <= -1000000000) || (O_15 >= 1000000000)))
              abort ();
          C2_15 = __VERIFIER_nondet_int ();
          if (((C2_15 <= -1000000000) || (C2_15 >= 1000000000)))
              abort ();
          Q_15 = __VERIFIER_nondet_int ();
          if (((Q_15 <= -1000000000) || (Q_15 >= 1000000000)))
              abort ();
          R_15 = __VERIFIER_nondet_int ();
          if (((R_15 <= -1000000000) || (R_15 >= 1000000000)))
              abort ();
          S_15 = __VERIFIER_nondet_int ();
          if (((S_15 <= -1000000000) || (S_15 >= 1000000000)))
              abort ();
          T_15 = __VERIFIER_nondet_int ();
          if (((T_15 <= -1000000000) || (T_15 >= 1000000000)))
              abort ();
          U_15 = __VERIFIER_nondet_int ();
          if (((U_15 <= -1000000000) || (U_15 >= 1000000000)))
              abort ();
          V_15 = __VERIFIER_nondet_int ();
          if (((V_15 <= -1000000000) || (V_15 >= 1000000000)))
              abort ();
          W_15 = __VERIFIER_nondet_int ();
          if (((W_15 <= -1000000000) || (W_15 >= 1000000000)))
              abort ();
          X_15 = __VERIFIER_nondet_int ();
          if (((X_15 <= -1000000000) || (X_15 >= 1000000000)))
              abort ();
          X1_15 = __VERIFIER_nondet_int ();
          if (((X1_15 <= -1000000000) || (X1_15 >= 1000000000)))
              abort ();
          Z_15 = __VERIFIER_nondet_int ();
          if (((Z_15 <= -1000000000) || (Z_15 >= 1000000000)))
              abort ();
          T1_15 = __VERIFIER_nondet_int ();
          if (((T1_15 <= -1000000000) || (T1_15 >= 1000000000)))
              abort ();
          P1_15 = __VERIFIER_nondet_int ();
          if (((P1_15 <= -1000000000) || (P1_15 >= 1000000000)))
              abort ();
          H1_15 = __VERIFIER_nondet_int ();
          if (((H1_15 <= -1000000000) || (H1_15 >= 1000000000)))
              abort ();
          D2_15 = __VERIFIER_nondet_int ();
          if (((D2_15 <= -1000000000) || (D2_15 >= 1000000000)))
              abort ();
          O1_15 = inv_main68_0;
          U1_15 = inv_main68_1;
          N_15 = inv_main68_2;
          A2_15 = inv_main68_3;
          B2_15 = inv_main68_4;
          D1_15 = inv_main68_5;
          C1_15 = inv_main68_6;
          M_15 = inv_main68_7;
          L1_15 = inv_main68_8;
          J_15 = inv_main68_9;
          G1_15 = inv_main68_10;
          Y_15 = inv_main68_11;
          B1_15 = inv_main68_12;
          K1_15 = inv_main68_13;
          P_15 = inv_main68_14;
          Y1_15 = inv_main68_15;
          if (!
              ((V1_15 == D1_15) && (T1_15 == X1_15) && (S1_15 == I1_15)
               && (R1_15 == E1_15) && (Q1_15 == A2_15) && (P1_15 == V1_15)
               && (N1_15 == H1_15) && (!(M1_15 == 0)) && (J1_15 == B_15)
               && (I1_15 == Y1_15) && (H1_15 == U1_15) && (F1_15 == I_15)
               && (E1_15 == 0) && (!(D1_15 == (A2_15 + -1)))
               && (A1_15 == M1_15) && (Z_15 == Y_15) && (X_15 == J_15)
               && (W_15 == W1_15) && (V_15 == (P1_15 + 1)) && (U_15 == B1_15)
               && (T_15 == Z_15) && (S_15 == U_15) && (R_15 == K_15)
               && (Q_15 == X_15) && (O_15 == R1_15) && (L_15 == Q1_15)
               && (K_15 == M_15) && (I_15 == O1_15) && (!(H_15 == 0))
               && (G_15 == F_15) && (F_15 == L1_15) && (E_15 == K1_15)
               && (D_15 == B2_15) && (C_15 == D_15) && (B_15 == P_15)
               && (A_15 == M1_15) && (D2_15 == Z1_15) && (C2_15 == E_15)
               && (Z1_15 == C1_15) && (X1_15 == G1_15)
               && (((!(1 <= (A2_15 + (-1 * D1_15)))) && (M1_15 == 0))
                   || ((1 <= (A2_15 + (-1 * D1_15))) && (M1_15 == 1)))
               && (((0 <= V1_15) && (H_15 == 1))
                   || ((!(0 <= V1_15)) && (H_15 == 0))) && (W1_15 == N_15)))
              abort ();
          inv_main68_0 = F1_15;
          inv_main68_1 = N1_15;
          inv_main68_2 = W_15;
          inv_main68_3 = L_15;
          inv_main68_4 = C_15;
          inv_main68_5 = V_15;
          inv_main68_6 = D2_15;
          inv_main68_7 = R_15;
          inv_main68_8 = G_15;
          inv_main68_9 = Q_15;
          inv_main68_10 = T1_15;
          inv_main68_11 = T_15;
          inv_main68_12 = S_15;
          inv_main68_13 = C2_15;
          inv_main68_14 = J1_15;
          inv_main68_15 = S1_15;
          goto inv_main68_0;

      default:
          abort ();
      }

    // return expression

}

